from setuptools import setup, find_packages

setup(
    name="LLMOrchestrator",
    version="0.1.0",
    packages=find_packages(),
    install_requires=[
        "openai>=1.0.0",
        "python-dotenv>=0.19.0",
        "torch>=2.0.0",
        "transformers>=4.30.0",
        "accelerate>=0.20.0",
        "numpy>=1.21.0",
        "scikit-learn>=1.0.0",
        "tqdm>=4.65.0",
        "pydantic>=2.0.0",
        "tenacity>=8.0.0",
        "cachetools>=5.0.0",
        "prompt_toolkit>=3.0.0",
        "rich>=10.0.0",
        "pytest>=7.0.0",
        "pytest-cov>=4.0.0",
        "pytest-mock>=3.10.0",
    ],
    python_requires=">=3.8",
    author="Trisanth Srinivasan",
    author_email="contact@cyrionlabs.org",
    description="A framework for orchestrating and managing Large Language Model operations",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/builtbypyro/LLMOrchestrator",
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
    ],
) 